cURL
curl --request PATCH \ --url https://api.example.com/projects/{project_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "class_id": 123, "name": "<string>", "description": "<string>", "project_type": "<string>", "status": "<string>", "progress_percent": 123, "practice_hours": 123, "conversation_count": 123, "last_activity_at": "2023-11-07T05:31:56Z" } '
{ "project_id": 123, "owner_id": 123, "class_id": 123, "name": "<string>", "project_type": "<string>", "status": "<string>", "progress_percent": "<string>", "practice_hours": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "description": "<string>", "conversation_count": 0, "last_activity_at": "2023-11-07T05:31:56Z" }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
x >= 1
Successful Response
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$